Index: palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- palm/trunk/SOURCE/ocean_mod.f90	(revision 4796)
+++ palm/trunk/SOURCE/ocean_mod.f90	(revision 4797)
@@ -1,20 +1,19 @@
 !> @file ocean_mod.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 2017-2020 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,4 +24,7 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4768 2020-11-02 19:11:23Z suehring
 ! Enable 3D data output also with 64-bit precision
 !
@@ -32,51 +34,49 @@
 ! 4671 2020-09-09 20:27:58Z pavelkrc
 ! Implementation of downward facing USM and LSM surfaces
-! 
+!
 ! 4535 2020-05-15 12:07:23Z raasch
 ! bugfix for restart data format query
-! 
+!
 ! 4517 2020-05-03 14:29:30Z raasch
 ! added restart with MPI-IO for reading local arrays
-! 
+!
 ! 4495 2020-04-13 20:11:20Z raasch
 ! restart data handling with MPI-IO added
-! 
+!
 ! 4481 2020-03-31 18:55:54Z maronga
 ! vector directives added to force vectorization on Intel19 compiler
-! 
+!
 ! 4346 2019-12-18 11:55:56Z motisi
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
-! 
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
+!
 ! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
-! 
+!
 ! 4272 2019-10-23 15:18:57Z schwenkel
-! Further modularization of boundary conditions: moved boundary conditions to
-! respective modules
+! Further modularization of boundary conditions: moved boundary conditions to respective modules
 !
 ! 4196 2019-08-29 11:02:06Z gronemeier
 ! Consider rotation of model domain for calculating the Stokes drift
-! 
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 4110 2019-07-22 17:05:21Z suehring
-! Pass integer flag array as well as boundary flags to WS scalar advection 
-! routine
-! 
+! Pass integer flag array as well as boundary flags to WS scalar advection routine
+!
 ! 4109 2019-07-22 17:00:34Z suehring
 ! implemented ocean_actions
-! 
+!
 ! 3767 2019-02-27 08:18:02Z raasch
-! unused variable for file index and tmp_2d removed from rrd-subroutine parameter
-! list
-! 
+! unused variable for file index and tmp_2d removed from rrd-subroutine parameter list
+!
 ! 3719 2019-02-06 13:10:18Z kanani
-! Changed log_point to log_point_s, otherwise this overlaps with 
-! 'all progn.equations' cpu measurement.
-! 
+! Changed log_point to log_point_s, otherwise this overlaps with 'all progn.equations'
+! cpu measurement.
+!
 ! 3684 2019-01-20 20:20:58Z knoop
 ! nopointer option removed
+!
 ! 3294 2018-10-01 02:37:10Z raasch
 ! initial revision
@@ -89,30 +89,30 @@
 ! Description:
 ! ------------
-!> This module contains relevant code for PALM's ocean mode, e.g. the
-!> prognostic equation for salinity, the equation of state for seawater,
-!> the Craik Leibovich force (Stokes force), and wave breaking effects
-!------------------------------------------------------------------------------!
+!> This module contains relevant code for PALM's ocean mode, e.g. the prognostic equation for
+!> salinity, the equation of state for seawater, the Craik Leibovich force (Stokes force), and wave
+!> breaking effects
+!--------------------------------------------------------------------------------------------------!
  MODULE ocean_mod
- 
-
-    USE arrays_3d,                                                             &
-        ONLY:  prho, prho_1, rho_ocean, rho_1, sa, sa_init, sa_1, sa_2, sa_3,  &
-               sa_p, tsa_m, flux_l_sa, flux_s_sa, diss_l_sa, diss_s_sa
-
-    USE control_parameters,                                                    &
-        ONLY:  atmos_ocean_sign, bottom_salinityflux,                          &
-               constant_top_salinityflux, restart_data_format_output, ocean_mode, top_salinityflux,&
-               wall_salinityflux, loop_optimization, ws_scheme_sca
+
+
+    USE arrays_3d,                                                                                 &
+        ONLY:  diss_l_sa, diss_s_sa, flux_l_sa, flux_s_sa, prho, prho_1, rho_1, rho_ocean, sa,     &
+               sa_1, sa_2, sa_3, sa_init, sa_p, tsa_m
+
+    USE control_parameters,                                                                        &
+        ONLY:  atmos_ocean_sign, bottom_salinityflux, constant_top_salinityflux, loop_optimization,&
+               ocean_mode, restart_data_format_output, top_salinityflux, wall_salinityflux,        &
+               ws_scheme_sca
 
     USE kinds
 
-    USE pegrid,                                                                &
+    USE pegrid,                                                                                    &
         ONLY:  threads_per_task
 
-    USE statistics,                                                            &
+    USE statistics,                                                                                &
         ONLY:  sums_wssas_ws_l
 
-    USE indices,                                                               &
-        ONLY:  advc_flags_s, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_total_0, nbgp
+    USE indices,                                                                                   &
+        ONLY:  advc_flags_s, nbgp, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_total_0
 
     USE restart_data_mpi_io_mod,                                                                   &
@@ -120,7 +120,6 @@
                wrd_mpi_io_global_array
 
-    USE surface_mod,                                                           &
-        ONLY:  bc_h, surf_def_v, surf_def_h, surf_lsm_h, surf_lsm_v,           &
-               surf_usm_h, surf_usm_v
+    USE surface_mod,                                                                               &
+        ONLY:  bc_h, surf_def_v, surf_def_h, surf_lsm_h, surf_lsm_v, surf_usm_h, surf_usm_v
 
        USE exchange_horiz_mod,                                                                     &
@@ -132,13 +131,12 @@
     CHARACTER (LEN=20) ::  bc_sa_t = 'neumann'  !< namelist parameter
 
-    INTEGER(iwp) ::  ibc_sa_t   !< integer flag for bc_sa_t
-    INTEGER(iwp) ::  iran_ocean = -1234567  !< random number used for wave breaking effects
-
+    INTEGER(iwp) ::  ibc_sa_t                                    !< integer flag for bc_sa_t
+    INTEGER(iwp) ::  iran_ocean = -1234567                       !< random number used for wave breaking effects
     INTEGER(iwp) ::  sa_vertical_gradient_level_ind(10) = -9999  !< grid index values of sa_vertical_gradient_level(s)
 
     LOGICAL ::  salinity = .TRUE.             !< switch for using salinity
     LOGICAL ::  stokes_force = .FALSE.        !< switch to switch on the Stokes force
+    LOGICAL ::  surface_cooling_switched_off = .FALSE.  !< variable to check if surface heat flux has been switched off
     LOGICAL ::  wave_breaking = .FALSE.       !< switch to switch on wave breaking effects
-    LOGICAL ::  surface_cooling_switched_off = .FALSE.  !< variable to check if surface heat flux has been switched off
 
     REAL(wp) ::  alpha_wave_breaking = 3.0_wp !< coefficient for wave breaking generated turbulence from Noh et al. (2004), JPO
@@ -153,28 +151,28 @@
     REAL(wp) ::  u_star_wave_breaking        !< to store the absolute value of friction velocity at the ocean surface
 
-    REAL(wp), DIMENSION(12), PARAMETER ::  nom =                               &
-                          (/ 9.9984085444849347D2,   7.3471625860981584D0,     &
-                            -5.3211231792841769D-2,  3.6492439109814549D-4,    &
-                             2.5880571023991390D0,  -6.7168282786692354D-3,    &
-                             1.9203202055760151D-3,  1.1798263740430364D-2,    &
-                             9.8920219266399117D-8,  4.6996642771754730D-6,    &
-                            -2.5862187075154352D-8, -3.2921414007960662D-12 /)
-                          !< constants used in equation of state for seawater
-
-    REAL(wp), DIMENSION(13), PARAMETER ::  den =                               &
-                          (/ 1.0D0,                  7.2815210113327091D-3,    &
-                            -4.4787265461983921D-5,  3.3851002965802430D-7,    &
-                             1.3651202389758572D-10, 1.7632126669040377D-3,    &
-                            -8.8066583251206474D-6, -1.8832689434804897D-10,   &
-                             5.7463776745432097D-6,  1.4716275472242334D-9,    &
-                             6.7103246285651894D-6, -2.4461698007024582D-17,   &
-                            -9.1534417604289062D-18 /)
-                          !< constants used in equation of state for seawater
+    REAL(wp), DIMENSION(12), PARAMETER ::  nom =                                                   &
+                                              (/ 9.9984085444849347D2,   7.3471625860981584D0,     &
+                                                -5.3211231792841769D-2,  3.6492439109814549D-4,    &
+                                                 2.5880571023991390D0,  -6.7168282786692354D-3,    &
+                                                 1.9203202055760151D-3,  1.1798263740430364D-2,    &
+                                                 9.8920219266399117D-8,  4.6996642771754730D-6,    &
+                                                -2.5862187075154352D-8, -3.2921414007960662D-12 /)
+                                               !< constants used in equation of state for seawater
+
+    REAL(wp), DIMENSION(13), PARAMETER ::  den =                                                   &
+                                              (/ 1.0D0,                  7.2815210113327091D-3,    &
+                                                -4.4787265461983921D-5,  3.3851002965802430D-7,    &
+                                                 1.3651202389758572D-10, 1.7632126669040377D-3,    &
+                                                -8.8066583251206474D-6, -1.8832689434804897D-10,   &
+                                                 5.7463776745432097D-6,  1.4716275472242334D-9,    &
+                                                 6.7103246285651894D-6, -2.4461698007024582D-17,   &
+                                                -9.1534417604289062D-18 /)
+                                              !< constants used in equation of state for seawater
 
     SAVE
 
-    PUBLIC ::  bc_sa_t, ibc_sa_t, prho_reference, sa_surface,                  &
-               sa_vertical_gradient, sa_vertical_gradient_level,               &
-               sa_vertical_gradient_level_ind, stokes_force, wave_breaking
+    PUBLIC ::  bc_sa_t, ibc_sa_t, prho_reference, sa_surface, sa_vertical_gradient,                &
+               sa_vertical_gradient_level, sa_vertical_gradient_level_ind, stokes_force,           &
+               wave_breaking
 
 
@@ -285,31 +283,29 @@
 !
 !-- Add INTERFACES that must be available to other modules (alphabetical order)
-    PUBLIC eqn_state_seawater, ocean_actions, ocean_check_data_output,         &
-           ocean_check_data_output_pr, ocean_check_parameters,                 &
-           ocean_data_output_2d, ocean_data_output_3d, ocean_exchange_horiz,   &
-           ocean_define_netcdf_grid, ocean_header, ocean_init,                 &
-           ocean_init_arrays, ocean_parin, ocean_prognostic_equations,         &
-           ocean_swap_timelevel, ocean_rrd_global, ocean_rrd_local,            &
-           ocean_wrd_global, ocean_wrd_local, ocean_3d_data_averaging,         &
-           ocean_boundary_conditions, stokes_drift_terms, wave_breaking_term
+    PUBLIC eqn_state_seawater, ocean_actions, ocean_check_data_output, ocean_check_data_output_pr, &
+           ocean_check_parameters, ocean_data_output_2d, ocean_data_output_3d,                     &
+           ocean_exchange_horiz, ocean_define_netcdf_grid, ocean_header, ocean_init,               &
+           ocean_init_arrays, ocean_parin, ocean_prognostic_equations, ocean_swap_timelevel,       &
+           ocean_rrd_global, ocean_rrd_local, ocean_wrd_global, ocean_wrd_local,                   &
+           ocean_3d_data_averaging, ocean_boundary_conditions, stokes_drift_terms,                 &
+           wave_breaking_term
 
 
  CONTAINS
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Equation of state for seawater as a function of potential temperature,
-!> salinity, and pressure.
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Equation of state for seawater as a function of potential temperature, salinity, and pressure.
 !> For coefficients see Jackett et al., 2006: J. Atm. Ocean Tech.
 !> eqn_state_seawater calculates the potential density referred at hyp(0).
 !> eqn_state_seawater_func calculates density.
 !> TODO: so far, routine is not adjusted to use topography
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE eqn_state_seawater
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  hyp, prho, pt_p, rho_ocean, sa_p
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nxl, nxr, nyn, nys, nzb, nzt
 
@@ -355,11 +351,11 @@
              sa2  = sa1 * sa1
 
-             pnom = nom(1)           + nom(2)*pt1     + nom(3)*pt2     +       &
-                    nom(4)*pt3       + nom(5)*sa1     + nom(6)*sa1*pt1 +       &
+             pnom = nom(1)           + nom(2)*pt1     + nom(3)*pt2     +                           &
+                    nom(4)*pt3       + nom(5)*sa1     + nom(6)*sa1*pt1 +                           &
                     nom(7)*sa2
 
-             pden = den(1)           + den(2)*pt1     + den(3)*pt2     +       &
-                    den(4)*pt3       + den(5)*pt4     + den(6)*sa1     +       &
-                    den(7)*sa1*pt1   + den(8)*sa1*pt3 + den(9)*sa15    +       &
+             pden = den(1)           + den(2)*pt1     + den(3)*pt2     +                           &
+                    den(4)*pt3       + den(5)*pt4     + den(6)*sa1     +                           &
+                    den(7)*sa1*pt1   + den(8)*sa1*pt3 + den(9)*sa15    +                           &
                     den(10)*sa15*pt2
 !
@@ -367,8 +363,8 @@
              prho(k,j,i) = pnom / pden
 
-             pnom = pnom +             nom(8)*p1      + nom(9)*p1*pt2  +       &
+             pnom = pnom +             nom(8)*p1      + nom(9)*p1*pt2  +                           &
                     nom(10)*p1*sa1   + nom(11)*p2     + nom(12)*p2*pt2
 
-             pden = pden +             den(11)*p1     + den(12)*p2*pt3 +       &
+             pden = pden +             den(11)*p1     + den(12)*p2*pt3 +                           &
                     den(13)*p3*pt1
 
@@ -380,6 +376,6 @@
 
 !
-!--       Neumann conditions are assumed at top boundary and currently also at
-!--       bottom boundary (see comment lines below)
+!--       Neumann conditions are assumed at top boundary and currently also at bottom boundary
+!--       (see comment lines below)
           prho(nzt+1,j,i)      = prho(nzt,j,i)
           rho_ocean(nzt+1,j,i) = rho_ocean(nzt,j,i)
@@ -411,15 +407,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Same as above, but for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE eqn_state_seawater_ij( i, j )
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  hyp, prho, pt_p, rho_ocean, sa_p
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nzb, nzt
 
@@ -446,4 +442,5 @@
     REAL(wp) ::  sa2    !< temporary scalar user for calculating density
 
+
     DO  k = nzb+1, nzt
 !
@@ -463,10 +460,10 @@
        sa2  = sa1 * sa1
 
-       pnom = nom(1)           + nom(2)*pt1     + nom(3)*pt2     +             &
+       pnom = nom(1)           + nom(2)*pt1     + nom(3)*pt2     +                                 &
               nom(4)*pt3       + nom(5)*sa1     + nom(6)*sa1*pt1 + nom(7)*sa2
 
-       pden = den(1)           + den(2)*pt1     + den(3)*pt2     +             &
-              den(4)*pt3       + den(5)*pt4     + den(6)*sa1     +             &
-              den(7)*sa1*pt1   + den(8)*sa1*pt3 + den(9)*sa15    +             &
+       pden = den(1)           + den(2)*pt1     + den(3)*pt2     +                                 &
+              den(4)*pt3       + den(5)*pt4     + den(6)*sa1     +                                 &
+              den(7)*sa1*pt1   + den(8)*sa1*pt3 + den(9)*sa15    +                                 &
               den(10)*sa15*pt2
 !
@@ -474,7 +471,8 @@
        prho(k,j,i) = pnom / pden
 
-       pnom = pnom +             nom(8)*p1      + nom(9)*p1*pt2  +             &
+       pnom = pnom             + nom(8)*p1      + nom(9)*p1*pt2  +                                 &
               nom(10)*p1*sa1   + nom(11)*p2     + nom(12)*p2*pt2
-       pden = pden +             den(11)*p1     + den(12)*p2*pt3 +             &
+
+       pden = pden             + den(11)*p1     + den(12)*p2*pt3 +                                 &
               den(13)*p3*pt1
 
@@ -510,9 +508,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Equation of state for seawater as a function
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  REAL(wp) FUNCTION eqn_state_seawater_func( p, pt, sa )
 
@@ -532,4 +530,5 @@
     REAL(wp) ::  sa2    !< temporary scalar user for calculating density
 
+
 !
 !-- Pressure is needed in dbar
@@ -549,14 +548,14 @@
 
 
-    eqn_state_seawater_func =                                                  &
-         ( nom(1)        + nom(2)*pt1       + nom(3)*pt2    + nom(4)*pt3     + &
-           nom(5)*sa     + nom(6)*sa*pt1    + nom(7)*sa2    + nom(8)*p1      + &
-           nom(9)*p1*pt2 + nom(10)*p1*sa    + nom(11)*p2    + nom(12)*p2*pt2   &
-         ) /                                                                   &
-         ( den(1)        + den(2)*pt1       + den(3)*pt2    + den(4)*pt3     + &
-           den(5)*pt4    + den(6)*sa        + den(7)*sa*pt1 + den(8)*sa*pt3  + &
-           den(9)*sa15   + den(10)*sa15*pt2 + den(11)*p1    + den(12)*p2*pt3 + &
-           den(13)*p3*pt1                                                      &
-         )
+    eqn_state_seawater_func =                                                                      &
+                             ( nom(1)        + nom(2)*pt1       + nom(3)*pt2    + nom(4)*pt3     + &
+                               nom(5)*sa     + nom(6)*sa*pt1    + nom(7)*sa2    + nom(8)*p1      + &
+                               nom(9)*p1*pt2 + nom(10)*p1*sa    + nom(11)*p2    + nom(12)*p2*pt2   &
+                             ) /                                                                   &
+                             ( den(1)        + den(2)*pt1       + den(3)*pt2    + den(4)*pt3     + &
+                               den(5)*pt4    + den(6)*sa        + den(7)*sa*pt1 + den(8)*sa*pt3  + &
+                               den(9)*sa15   + den(10)*sa15*pt2 + den(11)*p1    + den(12)*p2*pt3 + &
+                               den(13)*p3*pt1                                                      &
+                             )
 
 
@@ -564,9 +563,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Reads the ocean parameters namelist
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_parin
 
@@ -576,8 +575,8 @@
 
 
-    NAMELIST /ocean_parameters/  bc_sa_t, bottom_salinityflux, salinity,       &
-             sa_surface, sa_vertical_gradient, sa_vertical_gradient_level,     &
-             stokes_waveheight, stokes_wavelength, surface_cooling_spinup_time,&
-             top_salinityflux, wall_salinityflux, wave_breaking
+    NAMELIST /ocean_parameters/  bc_sa_t, bottom_salinityflux, salinity, sa_surface,               &
+                                 sa_vertical_gradient, sa_vertical_gradient_level,                 &
+                                 stokes_waveheight, stokes_wavelength, surface_cooling_spinup_time,&
+                                 top_salinityflux, wall_salinityflux, wave_breaking
 
 !
@@ -607,16 +606,15 @@
  END SUBROUTINE ocean_parin
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check parameters routine for the ocean mode
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_check_parameters
 
-    USE control_parameters,                                                    &
-        ONLY:  coupling_char, coupling_mode, initializing_actions,             &
-               message_string, use_top_fluxes
-
-    USE pmc_interface,                                                         &
+    USE control_parameters,                                                                        &
+        ONLY:  coupling_char, coupling_mode, initializing_actions, message_string, use_top_fluxes
+
+    USE pmc_interface,                                                                             &
         ONLY:  nested_run
 
@@ -638,13 +636,12 @@
 !
 !-- Check ocean setting
-    IF ( TRIM( coupling_mode ) == 'uncoupled'  .AND.                           &
-         TRIM( coupling_char ) == '_O' .AND.                                   &
+    IF ( TRIM( coupling_mode ) == 'uncoupled'  .AND.  TRIM( coupling_char ) == '_O' .AND.          &
          .NOT. ocean_mode )  THEN
 
 !
-!--    Check whether an (uncoupled) atmospheric run has been declared as an
-!--    ocean run (this setting is done via palmrun-option -y)
-       message_string = 'ocean mode does not allow coupling_char = "' //       &
-                        TRIM( coupling_char ) // '" set by palmrun-option "-y"'
+!--    Check whether an (uncoupled) atmospheric run has been declared as an ocean run (this setting
+!--    is done via palmrun-option -y)
+       message_string = 'ocean mode does not allow coupling_char = "' // TRIM( coupling_char ) //  &
+                        '" set by palmrun-option "-y"'
        CALL message( 'ocean_check_parameters', 'PA0317', 1, 2, 0, 6, 0 )
 
@@ -665,6 +662,5 @@
        ibc_sa_t = 1
     ELSE
-       message_string = 'unknown boundary condition: bc_sa_t = "' //           &
-                        TRIM( bc_sa_t ) // '"'
+       message_string = 'unknown boundary condition: bc_sa_t = "' // TRIM( bc_sa_t ) // '"'
        CALL message( 'ocean_check_parameters', 'PA0068', 1, 2, 0, 6, 0 )
     ENDIF
@@ -673,11 +669,8 @@
 
     IF ( .NOT. salinity )  THEN
-       IF ( ( bottom_salinityflux /= 0.0_wp  .AND.                             &
-              bottom_salinityflux /= 9999999.9_wp )  .OR.                      &
-            ( top_salinityflux /= 0.0_wp     .AND.                             &
-              top_salinityflux /= 9999999.9_wp ) )                             &
+       IF ( ( bottom_salinityflux /= 0.0_wp  .AND.  bottom_salinityflux /= 9999999.9_wp )  .OR.    &
+            ( top_salinityflux /= 0.0_wp     .AND.  top_salinityflux /= 9999999.9_wp    ) )        &
        THEN
-          message_string = 'salinityflux must not be set for ocean run ' //    &
-                           'without salinity'
+          message_string = 'salinityflux must not be set for ocean run ' // 'without salinity'
           CALL message( 'ocean_check_parameters', 'PA0509', 1, 2, 0, 6, 0 )
        ENDIF
@@ -685,18 +678,15 @@
 
     IF ( ibc_sa_t == 1  .AND.  top_salinityflux == 9999999.9_wp )  THEN
-       message_string = 'boundary condition: bc_sa_t = "' //                   &
-                        TRIM( bc_sa_t ) // '" requires to set top_salinityflux'
+       message_string = 'boundary condition: bc_sa_t = "' // TRIM( bc_sa_t ) //                    &
+                        '" requires to set top_salinityflux'
        CALL message( 'ocean_check_parameters', 'PA0069', 1, 2, 0, 6, 0 )
     ENDIF
 
 !
-!-- A fixed salinity at the top implies Dirichlet boundary condition for
-!-- salinity. In this case specification of a constant salinity flux is
-!-- forbidden.
-    IF ( ibc_sa_t == 0  .AND.  constant_top_salinityflux  .AND.                &
-         top_salinityflux /= 0.0_wp )  THEN
-       message_string = 'boundary condition: bc_sa_t = "' //                   &
-                        TRIM( bc_sa_t ) // '" is not allowed with ' //         &
-                        'top_salinityflux /= 0.0'
+!-- A fixed salinity at the top implies Dirichlet boundary condition for salinity. In this case
+!-- specification of a constant salinity flux is forbidden.
+    IF ( ibc_sa_t == 0  .AND.  constant_top_salinityflux  .AND.  top_salinityflux /= 0.0_wp )  THEN
+       message_string = 'boundary condition: bc_sa_t = "' // TRIM( bc_sa_t ) //                    &
+                        '" is not allowed with top_salinityflux /= 0.0'
        CALL message( 'ocean_check_parameters', 'PA0070', 1, 2, 0, 6, 0 )
     ENDIF
@@ -707,12 +697,9 @@
        stokes_force = .TRUE.
     ELSE
-       IF ( ( stokes_waveheight <= 0.0_wp .AND. stokes_wavelength > 0.0_wp ) &
-            .OR.                                                               &
-            ( stokes_waveheight > 0.0_wp .AND. stokes_wavelength <= 0.0_wp ) &
-            .OR.                                                               &
-            ( stokes_waveheight < 0.0_wp .AND. stokes_wavelength < 0.0_wp  ) ) &
+       IF ( ( stokes_waveheight <= 0.0_wp .AND. stokes_wavelength >  0.0_wp )  .OR.                &
+            ( stokes_waveheight >  0.0_wp .AND. stokes_wavelength <= 0.0_wp )  .OR.                &
+            ( stokes_waveheight <  0.0_wp .AND. stokes_wavelength <  0.0_wp ) )                    &
        THEN
-          message_string = 'wrong settings for stokes_wavelength and/or ' //   &
-                           'stokes_waveheight'
+          message_string = 'wrong settings for stokes_wavelength and/or stokes_waveheight'
           CALL message( 'ocean_check_parameters', 'PA0460', 1, 2, 0, 6, 0 )
        ENDIF
@@ -722,11 +709,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check data output.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_check_data_output( var, unit )
- 
+
     IMPLICIT NONE
 
@@ -751,15 +738,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check data output of profiles
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_check_data_output_pr( variable, var_count, unit, dopr_unit )
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  zu, zw
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  data_output_pr
 
@@ -772,9 +759,10 @@
     IMPLICIT NONE
 
+    CHARACTER (LEN=*) ::  dopr_unit !< local value of dopr_unit
     CHARACTER (LEN=*) ::  unit      !<
     CHARACTER (LEN=*) ::  variable  !<
-    CHARACTER (LEN=*) ::  dopr_unit !< local value of dopr_unit
 
     INTEGER(iwp) ::  var_count     !<
+
 
     SELECT CASE ( TRIM( variable ) )
